package de.fhdw.wtf.common.ast.type;

import de.fhdw.wtf.common.token.Token;

/**
 * {@link CollectionType} of a Type.
 */
public abstract class CollectionType extends CompositeType {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 6343933937929531024L;
	
	/**
	 * The Type of the Collection.
	 */
	private final Type of;
	
	/**
	 * Constructor of {@link CollectionType}.
	 * 
	 * @param firstToken
	 *            firstToken
	 * @param of
	 *            of
	 * @param lastToken
	 *            lastToken
	 */
	protected CollectionType(final Token firstToken, final Type of, final Token lastToken) {
		super(firstToken, lastToken);
		this.of = of;
	}
	
	/**
	 * Returns the Type of the Collection.
	 * 
	 * @return of
	 */
	public Type getOf() {
		return this.of;
	}
	
	@Override
	public CollectionType getPrototype() {
		return (CollectionType) super.getPrototype();
	}
	
}
