package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.type.ClassModifierAbstract;
import de.fhdw.wtf.common.ast.type.ClassModifierService;
import de.fhdw.wtf.common.ast.type.ClassModifierTransient;
import de.fhdw.wtf.common.ast.type.ClassModifierVisitable;

/**
 * Return-Visitor for ClassModifier.
 * 
 * @param <X>
 *            Returntype.
 */
public interface ClassModifierVisitorReturn<X> {
	
	/**
	 * Handle-Method.
	 * 
	 * @param modAbstract
	 *            {@link ClassModifierAbstract}
	 * @return X
	 */
	X handle(ClassModifierAbstract modAbstract);
	
	/**
	 * Handle-Method.
	 * 
	 * @param modService
	 *            {@link ClassModifierService}
	 * @return X
	 */
	X handle(ClassModifierService modService);
	
	/**
	 * Handle-Method.
	 * 
	 * @param modTransient
	 *            {@link ClassModifierTransient}
	 * @return X
	 */
	X handle(ClassModifierTransient modTransient);
	
	/**
	 * Handle-Method.
	 * 
	 * @param visitable
	 *            {@link ClassModifierVisitable}
	 * @return X
	 */
	X handle(ClassModifierVisitable visitable);
}
