package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.QualifiedName;
import de.fhdw.wtf.common.ast.UnqualifiedName;

/**
 * Interface for a {@link de.fhdw.wtf.common.ast.type.ClassType}-Visitor, which provides visit-Methods with a
 * return-type of boolean.
 */
public interface NameVisitorReturnBoolean {
	
	/**
	 * Visitmethod, which returns a boolean.
	 * 
	 * @param unqName
	 *            : {@link de.fhdw.wtf.common.ast.UnqualifiedName}.
	 * @return : boolean.
	 */
	boolean handleUnqualifiedName(UnqualifiedName unqName);
	
	/**
	 * Visitmethod, which return a boolean.
	 * 
	 * @param qName
	 *            : {@link de.fhdw.wtf.common.ast.QualifiedName}.
	 * @return : boolean.
	 */
	boolean handleQualifiedName(QualifiedName qName);
}
