package de.fhdw.wtf.common.exception.parser;

import de.fhdw.wtf.common.token.Token;

/**
 * The {@link NoBracketOpenException} will be thrown if a {@link de.fhdw.wtf.common.token.symbols.BracketOpenToken} is
 * expected, but an another Token was found.
 * 
 */
public final class NoBracketOpenException extends AbstractParserException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -5285157902168385536L;
	
	/**
	 * Constructor of {@link NoBracketOpenException}.
	 * 
	 * @param token
	 *            token
	 * @param message
	 *            message
	 */
	private NoBracketOpenException(final Token token, final String message) {
		super(token, message);
	}
	
	/**
	 * Creates a {@link NoBracketOpenException}-Object.
	 * 
	 * @param token
	 *            token
	 * @return The {@link NoBracketOpenException}-Object.
	 */
	public static NoBracketOpenException create(final Token token) {
		return new NoBracketOpenException(token,
				de.fhdw.wtf.common.constants.parser.ExceptionConstants.NO_BRACKET_OPEN_EXCEPTION_MESSAGE);
	}
	
}
