package de.fhdw.wtf.common.exception.parser;

import de.fhdw.wtf.common.constants.parser.ExceptionConstants;
import de.fhdw.wtf.common.token.Token;

/**
 * The {@link NoGroupElementException} will be thrown if a GroupElement is expected, but other Tokens was found.
 * 
 */
public final class NoGroupElementException extends AbstractParserException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -7170463683554040720L;
	
	/**
	 * Constructor of {@link NoGroupElementException}.
	 * 
	 * @param token
	 *            token
	 * @param message
	 *            message
	 */
	private NoGroupElementException(final Token token, final String message) {
		super(token, message);
	}
	
	/**
	 * Creates a {@link NoGroupElementException}-Object.
	 * 
	 * @param token
	 *            token
	 * @return The {@link NoGroupElementException}-Object.
	 */
	public static NoGroupElementException create(final Token token) {
		return new NoGroupElementException(token, ExceptionConstants.NO_GROUP_ELEMENT_EXCEPTION_MESSAGE);
	}
}
