package de.fhdw.wtf.common.exception.parser;

import de.fhdw.wtf.common.constants.parser.ExceptionConstants;
import de.fhdw.wtf.common.token.Token;

/**
 * The {@link NoGroupException} will be thrown if a Group is expected, but other Tokens was found.
 * 
 */
public final class NoGroupException extends AbstractParserException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 243453301942193312L;
	
	/**
	 * Constructor of {@link NoGroupException}.
	 * 
	 * @param token
	 *            token
	 * @param message
	 *            message
	 */
	private NoGroupException(final Token token, final String message) {
		super(token, message);
	}
	
	/**
	 * Creates a {@link NoGroupException}-Object.
	 * 
	 * @param token
	 *            token
	 * @return The {@link NoGroupException}-Object.
	 */
	public static NoGroupException create(final Token token) {
		return new NoGroupException(token, ExceptionConstants.NO_GROUP_EXCEPTION_MESSAGE);
	}
	
}
