package de.fhdw.wtf.common.exception.referencer;

import java.util.Collection;

import de.fhdw.wtf.common.constants.referencer.ExceptionConstans;
import de.fhdw.wtf.common.exception.walker.TaskException;

/**
 * An exception to represent multiple exceptions that occur when resolving references to constructors.
 *
 */
public class ConstructorReferencerExceptions extends TaskException {
	
	/**
	 * Exceptions.
	 */
	private final Collection<TaskException> exceptions;
	
	/**
	 * Creates a new {@link ConstructorReferencerExceptions} object.
	 * 
	 * @param exceptions
	 *            the exceptions collected.
	 * @return a new instance of {@link ConstructorReferencerExceptions}.
	 */
	public static ConstructorReferencerExceptions create(final Collection<TaskException> exceptions) {
		return new ConstructorReferencerExceptions(exceptions);
	}
	
	/**
	 * COnstrucotr of {@link ConstructorReferencerExceptions}.
	 * 
	 * @param exceptions
	 *            the exceptions collected.
	 */
	public ConstructorReferencerExceptions(final Collection<TaskException> exceptions) {
		super(ExceptionConstans.CONSTRUCTOR_REFERENCER_EXCEPTION_OCCURED);
		this.exceptions = exceptions;
	}
	
	/**
	 * Exceptions that are represented through this.
	 * 
	 * @return exceptions that are represented through this.
	 */
	public Collection<TaskException> getExceptions() {
		return this.exceptions;
	}
	
}
