package de.fhdw.wtf.common.task.result;

import de.fhdw.wtf.common.task.result.visitor.TaskResultVisitor;

/**
 * Negative result of a {@link de.fhdw.wtf.common.task.Task}.
 * 
 */
public class ExceptionalTaskResult implements TaskResult {
	
	/**
	 * Exception.
	 */
	private final Exception e;
	
	/**
	 * Constructor of {@link ExceptionalTaskResult}.
	 * 
	 * @param e
	 *            exception
	 */
	public ExceptionalTaskResult(final Exception e) {
		this.e = e;
	}
	
	/**
	 * Returns the reason for the negative result of the task.
	 * 
	 * @return exception
	 */
	public Exception getError() {
		return this.e;
	}
	
	@Override
	public void accept(final TaskResultVisitor v) {
		v.handleExceptionalTaskResult(this);
	}
	
}
