package de.fhdw.wtf.common.token.symbols;

import de.fhdw.wtf.common.token.MultiCharToken;
import de.fhdw.wtf.common.token.Position;

/**
 * Represents all symbols as a token.
 */
public abstract class SymbolToken extends MultiCharToken {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -7701059608100914045L;
	
	/**
	 * Protected constructor for {@link SymbolToken}. Use create(...)-Factory instead!
	 * 
	 * @param position
	 *            represents the start position of the {@link SymbolToken} in the original input.
	 * @param symbol
	 *            represents the symbol
	 */
	protected SymbolToken(final Position position, final String symbol) {
		super(symbol, position);
	}
	
	@Override
	public boolean isSymbolToken() {
		return true;
	}
}
